gnucap (1:0.36~20171003-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 01 Jan 2021 17:26:01 +0100

gnucap (1:0.36~20171003-1) unstable; urgency=medium

  * Split gnucap package into several packages
    This is required, as gnucap now provides a shared library.
  * libgnucap0 + libgnucap-dev (Closes: #224467)
    These packages contain the shared library and provide the files necessary
    to build/link against it, respectively. For example users can create their
    own binary programs to substitute the "gnucap" example executable provided
    in the "gnucap" package. Other packages may depend on libgnucap-dev, if
    they make use of the gnucap library, which will provide most gnucap
    functionality without the need to install all gnucap packages and files.
    (Closes: #224467)
  * Introduce gnucap-default-plugins0 package
    The plugins that were previous linked into the main executable are now
    shipped as a separate (optional) binary, the "default plugins". These are
    loaded by "gnucap", unless overridden in /etc/gnucap.rc (which does not
    exist by default). This package must hence be installed, if the
    functionality of the previous gnucap package is sought.
    The binary plugin is installed in a directory depending on the
    architecture and on the library soname it has been tested against.
  * gnucap-common package (Closes: #693267)
    Contains the development headers and build infrastructure. This package
    is architecture independent.
  * man pages for /usr/bin/gnucap and /usr/bin/gnucap-{conf,modelgen}. The
    upstream project makes no attempt in providing these, hence they are
    maintained here.
  * get-orig-source target, snapshotting upstream git
    There are no release tarballs, just tags, nowadays. These are equivalent
    to releases ("development snapshots"). This is new and was not required for
    previous tarball releases.
  * set sysconfdir to /etc, equivalent to --sysconfdir in autotools.
    There's the possibility to override things in /etc/gnucap.rc.
  * update d/copyright
  * move package to salsa (from alioth/pkg-electronics)
  * debian/control: Bump Standards-Version to 4.1.3
    Checked against
    https://www.debian.org/doc/packaging-manuals/upgrading-checklist.txt
    The seemingly relevant items do not require action.
    - 5.6.26 VCS-*, "https", for example
    - 10.2   plugins are in /usr/lib/triplet/gnucap0
    - 4.15   reproducibility not formally tested
    - 2.5    priority is optional
    - 8.1.1  invokes ldconfig.
    - 4.9.1  there is no doc (any more?) use wiki page instead
    - 5.2    control does not mention -dbg packages
  * bump compat to 11
    Now depend on dh >= 11. No action required, according to debhelper(7).
  * remove Wesley  J. Landaker and Hamish Moffatt from Uploaders as they not
    active anymore
    Thanking both for their work on the packages of gnucap in the past!
    (Closes: #759987, #831480)
  * adding a lintian override for http URL in watch file
    Lintian is complaining about the usage of http:// instead of https:// on
    the URL http://gnucap.org/archive/ in watch, a file for automatic checking
    for new upstream versions.
    gnucap.org isn't using the https protocol (yet or never will) and we need
    to use http here. Note that tarball releases are currently suspended, and
    git tags are used instead, so this might need more work.


  [ Helmut Grohne ]
  * Fix FTCBFS: Add gnucap:native to Build-Depends. (Closes: #878364)

 -- Felix Salfelder <felix@salfelder.org>  Sun, 04 Mar 2018 04:14:08 +0000

gnucap (1:0.36~20091207-2) unstable; urgency=low

  * debian/control: Bumped Standards-Version to 3.9.2
  * Unapply quilt patches from git repository. (Closes: #643139)
  * debian/copyright: Updated copyright format & copyright years
  * debian/rules: Delete usr/share/doc/gnucap/history as it is the same as
    usr/share/doc/gnucap/changelog
  * fix_runall.diff patch: patch examples/Makefile.* to override the implicit
    rule that causes runall to be copied to runall.out

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 27 Sep 2011 21:45:28 +0200

gnucap (1:0.36~20091207-1) unstable; urgency=low

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * New upstream release. (Closes: #404389)
  * Bumped compat level to 8
  * debian/control:
    + Bumped Standards-Version to 3.9.1
    + Replaced libreadline5-dev build-dep with libreadline-dev
      (Closes: #553770)
    + Set Debian Electronics team as maintainer
    + Moved Hamish to uploaders
    + Added myself to uploaders
    + Added Homepage field
    + Add Vcs-* fields
  * Removed debian/gnucap.1 since it is included upstream.
  * Removed debian/gnucap.manpages since the manpage is already
    installed by upstream build system
  * Removed un-necessary debian/gnucap.dirs
  * Added debian/gnucap.docs, debian/gnucap.doc-base
  * debian/rules:
    + Simplify rules file
    + Added "-Wl,--as-needed" to LDFLAGS
  * Re-written debian/copyright
  * Switch to 3.0 (quilt) source format
  * Added docpaths.diff patch to install documentation & examples in
    proper doc paths. (Closes: #433304)
  * Removed patch from examples/runall.out, it is not a script but
    rather the expected script output.
  * Separated fix for runall script provided in examples into
    fix_runall.diff patch.
  * Separated fix to reflect name change from acs to gnucap into
    acs_gnucap.diff patch. Also patch acs-tutorial & rename
    gnucap-tutorial. (Closes: #398810)
  * Added typos.diff patch to fix typos in gnucap-ibis manpage.
  * Do not build/install PDF/HTML manual, since it is not included in
    the development release.
    + debian/rules: Comment out instructions to build/clean manuals
    + debian/gnucap.doc-base, debian/gnucap.docs: comment manual entries
    + debian/control: no need for hevea, texlive in build-deps
    + Added DMUA after sponsors consent
    (http://lists.alioth.debian.org/pipermail/pkg-electronics-devel/2010-April/001827.html)

  [ Wesley J. Landaker ]
  * Apply quilt patches directly into git repository.

 -- Wesley J. Landaker <wjl@icecavern.net>  Thu, 11 Nov 2010 17:32:23 -0700

gnucap (1:0.35-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Replace removed tetex by texlive packages (Closes: #562354)
  * Add ${misc:Depends} line to package dependency

 -- Christoph Egger <christoph@debian.org>  Sat, 20 Feb 2010 19:23:59 +0100

gnucap (1:0.35-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix gcc-4.3 FTBFS with patch from Cyril Brulebois
    <cyril.brulebois@enst-bretagne.fr> (Closes: #455116)
  * debian/rules:
    - Add missing binary-indep target (Closes: #395722)
    - Clean build stamp file, allowing doublebuilds. (Closes: #424351)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 16 Mar 2008 16:36:24 +0100

gnucap (1:0.35-1) unstable; urgency=low

  * New upstream release (closes: #372080)
  * Updated to standards-revision 3.7.2
  * Added build-dep for tetex-extra so that the documentation can be generated
    at build-time

 -- Hamish Moffatt <hamish@debian.org>  Fri, 22 Sep 2006 22:13:28 +1000

gnucap (1:0.34-5) unstable; urgency=low

  * Fix FTBFS with g++ 4.1; thanks to Ben Hutchings for the patch
    (closes: #356113)
  * Add debian/watch file to track new upstream versions
  * Fix runall scripts provided with examples
  * Upgrade standards-revision to 3.6.2

 -- Hamish Moffatt <hamish@debian.org>  Sun, 19 Mar 2006 10:42:32 +1100

gnucap (1:0.34-4) unstable; urgency=low

  * Rebuild with g++ 4.0

 -- Hamish Moffatt <hamish@debian.org>  Sun, 31 Jul 2005 08:32:26 +0000

gnucap (1:0.34-3) unstable; urgency=low

  * Removed dummy acs package; it was only required for potato->woody
    upgrades (closes: #308710)

 -- Hamish Moffatt <hamish@debian.org>  Thu, 12 May 2005 16:49:31 +1000

gnucap (1:0.34-2) unstable; urgency=low

  * Apply patch to fix compilation with gcc-3.4 (closes: #270282)
    Thanks to Andreas Jochens for the patch

 -- Hamish Moffatt <hamish@debian.org>  Tue, 14 Dec 2004 00:21:58 +1100

gnucap (1:0.34-1) unstable; urgency=low

  * New upstream release
    * modelgen renamed to gnucap-modelgen

 -- Hamish Moffatt <hamish@debian.org>  Wed, 17 Mar 2004 20:14:20 +1100

gnucap (1:0.33-3) unstable; urgency=low

  * Use hevea instead of latex2html to generate html documentation
    (closes: #221321) Thanks to Stefano Zacchiroli <zack@debian.org>
    for the patch.
  * Updated the manual page with information about the command-line
    options (closes: #224463)

 -- Hamish Moffatt <hamish@debian.org>  Mon, 29 Dec 2003 10:43:56 +1100

gnucap (1:0.33-2) unstable; urgency=low

  * Included tutorial in package (closes: #182943)
  * Updated doc/whatisit to reflect name change acs to gnucap
    (closes: #182944)
  * Included html version of manual (closes: #163241, #182945)

 -- Hamish Moffatt <hamish@debian.org>  Sat,  1 Mar 2003 23:35:19 +1100

gnucap (1:0.33-1) unstable; urgency=low

  * New upstream release
  * Upstream: Includes readline support (closes: #163242)
  * Upstream: Compiles with g++ 3.2 (closes: #175380)

 -- Hamish Moffatt <hamish@debian.org>  Tue, 21 Jan 2003 20:59:48 +1100

gnucap (1:0.31-1) unstable; urgency=low

  * New upstream release
  * Fixed capitalisation in description (closes: #124687)

 -- Hamish Moffatt <hamish@debian.org>  Sun, 30 Jun 2002 23:10:38 +1000

gnucap (1:0.30-1) unstable; urgency=low

  * New upstream release; changed name from acs to gnucap

 -- Hamish Moffatt <hamish@debian.org>  Fri,  9 Nov 2001 23:48:57 +1100

acs (1:0.29-3) unstable; urgency=low

  * Fixed g++-3.0 problems properly (closes: #104820)

 -- Hamish Moffatt <hamish@debian.org>  Sat, 11 Aug 2001 18:02:09 +1000

acs (1:0.29-2) unstable; urgency=low

  * In src/ap.h, changed call to abs() with double parameter to fabs
    (closes: #104820)

 -- Hamish Moffatt <hamish@debian.org>  Sun, 22 Jul 2001 20:26:55 +1000

acs (1:0.29-1) unstable; urgency=low

  * New upstream version

 -- Hamish Moffatt <hamish@debian.org>  Fri,  6 Jul 2001 00:16:38 +1000

acs (1:0.28-1) unstable; urgency=low

  * New upstream version
  * Added build dependency on debhelper (closes: #70125)

 -- Hamish Moffatt <hamish@debian.org>  Tue,  7 Nov 2000 16:37:43 +1100

acs (1:0.27-1) unstable; urgency=low

  * New upstream version

 -- Hamish Moffatt <hamish@debian.org>  Mon,  3 Jul 2000 21:15:12 +1000

acs (1:0.26-1) unstable; urgency=low

  * New upstream version

 -- Hamish Moffatt <hamish@debian.org>  Tue,  8 Feb 2000 16:16:30 +1100

acs (1:0.25-1) frozen unstable; urgency=low

  * New maintainer
  * New upstream version

 -- Hamish Moffatt <hamish@debian.org>  Thu,  4 Nov 1999 19:33:41 +1100

acs (021-2.3) frozen unstable; urgency=low

  * Non maintainer upload.
  * Recompiled with g++/libstdc++2.9 (for i386).
  * debian/rules: Don't `su'.
  * Made lintian clean.

 -- Matthias Klose <doko@cs.tu-berlin.de>  Mon, 14 Dec 1998 14:38:47 +0200

acs (021-2.2) unstable; urgency=low

  * NMU to correct libstdc++2.9 dependencies.

 -- Christopher C. Chimelis <chris@classnet.med.miami.edu>  Thu, 10 Sep 1998 15:10:14 -0500

acs (021-2.1) unstable; urgency=low

  * Non-maintainer release.
  * Libc6 compile.

 -- Martin Mitchell <martin@debian.org>  Sat,  8 Nov 1997 18:36:01 +1100

acs (021-2) unstable; urgency=low

  * Fixed bug with help file location

 -- Jon Rabone <jkr@debian.org>  Thu, 30 Jan 1997 15:12:07 +0000

acs (021-1) unstable; urgency=low

  * New upstream release
  * Updated to Debian Standards 2.1.1.0
  * Fixed control file (Bug#3559)
  * Built for ELF (Bug#5051)
  * Fixed rules for multiple architectures (Bug#3851)

 -- Jon Rabone <jkr@debian.org>  Wed, 29 Jan 1997 14:29:18 +0000

acs (019-1) Initial release for Debian
 12 Nov 1995 Andrew D. Fernandes <adfernan@cnd.mcgill.ca>
        Added Debian GNU/Linux package maintenance system files.

